Apache JMeter

## org.apache.jmeter.testelement
Class TestPlan

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.testelement.TestPlan

All Implemented Interfaces:
  Serializable, Cloneable, TestElement, TestListener

    public class TestPlan

extends AbstractTestElement
implements Serializable, TestListener

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`TestPlan()`
`TestPlan(String name)`

Method Summary
`void` `addParameter(String name, String value)`
`void` `addTestElement(TestElement tg)`
`void` `addThreadGroup(AbstractThreadGroup group)` Adds a feature to the AbstractThreadGroup attribute of the TestPlan object.
`Arguments` `getArguments()`
`String` `getBasedir()`
`static boolean` `getFunctionalMode()` Gets the static copy of the functional mode
`String` `getTestPlanClasspath()` Returns the classpath
`String[]` `getTestPlanClasspathArray()`
`Map<String,String>` `getUserDefinedVariables()`
`JMeterProperty` `getUserDefinedVariablesAsProperty()`
`boolean` `isFunctionalMode()` Fetches the functional mode property
`boolean` `isSerialized()` Fetch the serialize threadgroups property
`void` `prepareForPreCompile()`
`void` `setBasedir(String b)`
`void` `setFunctionalMode(boolean funcMode)`
`void` `setSerialized(boolean serializeTGs)`
`void` `setTestPlanClasspath(String text)` Set the classpath for the test plan
`void` `setTestPlanClasspathArray(String[] text)`
`void` `setUserDefinedVariables(Arguments vars)`
`void` `testEnded()` Called once for all threads after the end of a test.
`void` `testEnded(String host)` Called once for all threads after the end of a test.
`void` `testIterationStart(LoopIterationEvent event)` Each time through a Thread Group's test script, an iteration event is fired for each thread.
`void` `testStarted()` Called just before the start of the test from the main engine thread.
`void` `testStarted(String host)` Called just before the start of the test from the main engine thread.

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addProperty, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestPlan

    public TestPlan()

### TestPlan

    public TestPlan(String name)

Method Detail

### prepareForPreCompile

    public void prepareForPreCompile()

### isFunctionalMode

    public boolean isFunctionalMode()

  Fetches the functional mode property

  Returns:
    functional mode

### setUserDefinedVariables

    public void setUserDefinedVariables(Arguments vars)

### getUserDefinedVariablesAsProperty

    public JMeterProperty getUserDefinedVariablesAsProperty()

### getBasedir

    public String getBasedir()

### setBasedir

    public void setBasedir(String b)

### getArguments

    public Arguments getArguments()

### getUserDefinedVariables

    public Map<String,String> getUserDefinedVariables()

### setFunctionalMode

    public void setFunctionalMode(boolean funcMode)

### getFunctionalMode

    public static boolean getFunctionalMode()

  Gets the static copy of the functional mode

  Returns:
    mode

### setSerialized

    public void setSerialized(boolean serializeTGs)

### setTestPlanClasspath

    public void setTestPlanClasspath(String text)

  Set the classpath for the test plan

  Parameters:
    `text` -

### setTestPlanClasspathArray

    public void setTestPlanClasspathArray(String[] text)

### getTestPlanClasspathArray

    public String[] getTestPlanClasspathArray()

### getTestPlanClasspath

    public String getTestPlanClasspath()

  Returns the classpath

  Returns:
    classpath

### isSerialized

    public boolean isSerialized()

  Fetch the serialize threadgroups property

  Returns:
    serialized setting

### addParameter

    public void addParameter(String name,
                             String value)

### addTestElement

    public void addTestElement(TestElement tg)

  Description copied from class: `AbstractTestElement`

  Specified by:
    `addTestElement` in interface `TestElement`
  Overrides:
    `addTestElement` in class `AbstractTestElement`

### addThreadGroup

    public void addThreadGroup(AbstractThreadGroup group)

  Adds a feature to the AbstractThreadGroup attribute of the TestPlan object.

  Parameters:
    `group` - the feature to be added to the AbstractThreadGroup attribute

### testEnded

    public void testEnded()

  Called once for all threads after the end of a test. This will use the same element instances as at the start of the test.

  N.B. testStarted() and testEnded() are called from different threads.

  Specified by:
    `testEnded` in interface `TestListener`
  See Also:
    `StandardJMeterEngine.stopTest()`

### testEnded

    public void testEnded(String host)

  Called once for all threads after the end of a test. This will use the same element instances as at the start of the test.

  N.B. testStarted() and testEnded() are called from different threads.

  Specified by:
    `testEnded` in interface `TestListener`
  Parameters:
    `host` - name of host
  See Also:
    `StandardJMeterEngine.stopTest()`

### testIterationStart

    public void testIterationStart(LoopIterationEvent event)

  Each time through a Thread Group's test script, an iteration event is fired for each thread. This will be after the test elements have been cloned, so in general the instance will not be the same as the ones the start/end methods call.

  Specified by:
    `testIterationStart` in interface `TestListener`

### testStarted

    public void testStarted()

  Called just before the start of the test from the main engine thread. This is before the test elements are cloned. Note that not all the test variables will have been set up at this point.

  N.B. testStarted() and testEnded() are called from different threads.

  Specified by:
    `testStarted` in interface `TestListener`
  See Also:
    `StandardJMeterEngine.run()`

### testStarted

    public void testStarted(String host)

  Called just before the start of the test from the main engine thread. This is before the test elements are cloned. Note that not all the test variables will have been set up at this point.

  N.B. testStarted() and testEnded() are called from different threads.

  Specified by:
    `testStarted` in interface `TestListener`
  Parameters:
    `host` - name of host
  See Also:
    `StandardJMeterEngine.run()`

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.